#include <stdio.h>
#include <stdlib.h>

typedef struct rac Racional;

Racional *generate();
int set_value(Racional *p, int N, int D);
int get_value(Racional *p, int *N, int *D);
Racional *sum(Racional *R1, Racional *R2);
int print_value(Racional *R);
void delete1(Racional **p);
Racional *prod(Racional *R1, Racional *R2);
